package com.zm.order.tool.server.model;

import com.alibaba.fastjson.JSON;

import java.io.Serializable;
import java.util.Date;

/**
 * @Description 评价索引
 * @Author: zhuxiaofeng
 * @Date: 2022/04/24 11:05
 */
public abstract class BaseIndexComment implements Serializable {

    /**
     * 商户id
     */
    private Long sellerId;

    /**
     * 门店id
     */
    private Long storeId;

    /**
     * 用户id
     */
    private Long userId;

    /**
     * 订单号
     */
    private String orderNo;

    /**
     * 商品id
     */
    private Long goodsId;

    /**
     * skuId
     */
    private String itemId;

    /**
     * 商品评价id
     */
    private Long commentId;

    /**
     * 订单类型
     */
    private Integer orderType;

    /**
     * 履约类型
     */
    private Integer performanceType;

    /**
     * 订单来源
     */
    private Integer source;

    /**
     * 评价分
     */
    private Integer commentScore;

    /**
     * 是否隐藏
     */
    private Integer hide;

    /**
     * 是否匿名
     */
    private Integer anonymous;

    /**
     * 是否匿名
     */
    private Integer existImage;

    /**
     * 是否匿名
     */
    private Integer sellerReply;

    /**
     * 三方单号
     */
    private String sourceNo;

    /**
     * 手机号
     */
    private String mobile;

    /**
     * 评价时间
     */
    private Date commentAt;

    /**
     * 评价时间
     */
    private Date replyAt;

    /**
     * 下单时间
     */
    private Date orderAt;

    /**
     * 创建时间
     */
    private Date createdAt;

    /**
     * 更新时间
     */
    private Date updatedAt;

    /**
     * 删除标识
     */
    private Integer isDeleted;

    public Integer getCommentScore() {
        return commentScore;
    }

    public void setCommentScore(Integer commentScore) {
        this.commentScore = commentScore;
    }

    public Long getSellerId() {
        return sellerId;
    }

    public void setSellerId(Long sellerId) {
        this.sellerId = sellerId;
    }

    public Long getStoreId() {
        return storeId;
    }

    public void setStoreId(Long storeId) {
        this.storeId = storeId;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getOrderNo() {
        return orderNo;
    }

    public void setOrderNo(String orderNo) {
        this.orderNo = orderNo;
    }

    public Long getGoodsId() {
        return goodsId;
    }

    public void setGoodsId(Long goodsId) {
        this.goodsId = goodsId;
    }

    public String getItemId() {
        return itemId;
    }

    public void setItemId(String itemId) {
        this.itemId = itemId;
    }

    public Long getCommentId() {
        return commentId;
    }

    public void setCommentId(Long commentId) {
        this.commentId = commentId;
    }

    public Integer getOrderType() {
        return orderType;
    }

    public void setOrderType(Integer orderType) {
        this.orderType = orderType;
    }

    public Integer getPerformanceType() {
        return performanceType;
    }

    public void setPerformanceType(Integer performanceType) {
        this.performanceType = performanceType;
    }

    public Integer getSource() {
        return source;
    }

    public void setSource(Integer source) {
        this.source = source;
    }

    public String getSourceNo() {
        return sourceNo;
    }

    public void setSourceNo(String sourceNo) {
        this.sourceNo = sourceNo;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Date getCommentAt() {
        return commentAt;
    }

    public void setCommentAt(Date commentAt) {
        this.commentAt = commentAt;
    }

    public Date getOrderAt() {
        return orderAt;
    }

    public void setOrderAt(Date orderAt) {
        this.orderAt = orderAt;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Integer getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Integer isDeleted) {
        this.isDeleted = isDeleted;
    }

    public Integer getHide() {
        return hide;
    }

    public void setHide(Integer hide) {
        this.hide = hide;
    }

    public Integer getAnonymous() {
        return anonymous;
    }

    public void setAnonymous(Integer anonymous) {
        this.anonymous = anonymous;
    }

    public Integer getExistImage() {
        return existImage;
    }

    public void setExistImage(Integer existImage) {
        this.existImage = existImage;
    }

    public Integer getSellerReply() {
        return sellerReply;
    }

    public void setSellerReply(Integer sellerReply) {
        this.sellerReply = sellerReply;
    }

    public Date getReplyAt() {
        return replyAt;
    }

    public void setReplyAt(Date replyAt) {
        this.replyAt = replyAt;
    }

    @Override
    public String toString() {
        return JSON.toJSONString(this);
    }
}
